=== debian/changelog ===
gst-plugins-base1.0 (1.14.0-2ubuntu1) bionic; urgency=medium

  * Merge with Debian. Remaining change:
    + debian/rules: Build for GLES only on arm. We build OpenGL support, which
      conflicts with Qt's OpenGL support - used in gst-good - if built for a
      different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
      to conflicting typedefs being dragged in by gst and Qt. This might be a
      bug in mesa - if the headers are supposed to be includable simultaneously.
      See FDO #105328 for that.
  * Dropped change because graphene is being promoted to main:
    - Revert "Add recommends from libgstreamer-gl1.0-0 to gstreamer1.0-gl"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 03 Apr 2018 13:40:00 -0400

gst-plugins-base1.0 (1.14.0-2) unstable; urgency=medium

  * debian/libgstreamer-gl.symbols:
    + Mark EGLImage/dmabuf and Wayland symbols as linux-only.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Mar 2018 10:53:03 +0300

gst-plugins-base1.0 (1.14.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian. Remaining change:
    + debian/rules: Build for GLES only on arm. We build OpenGL support, which
      conflicts with Qt's OpenGL support - used in gst-good - if built for a
      different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
      to conflicting typedefs being dragged in by gst and Qt. This might be a
      bug in mesa - if the headers are supposed to be includable simultaneously.
      See FDO #105328 for that.
  * Revert "Add recommends from libgstreamer-gl1.0-0 to gstreamer1.0-gl".
    Unfortunately -gl isn't in main becuase it depends on graphene, which is
    in universe.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 21 Mar 2018 17:37:56 +0000

gst-plugins-base1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 09:51:09 +0200

gst-plugins-base1.0 (1.13.91-1ubuntu1) bionic; urgency=medium

  * debian/{control{,.in},gbp.conf}: Update for Ubuntu. Use the ubuntu/*
    namespace for tags, moving slightly towards DEP14.
  * Merge with Debian. Remaining change:
    + debian/rules: Build for GLES only on arm. We build OpenGL support, which
      conflicts with Qt's OpenGL support - used in gst-good - if built for a
      different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
      to conflicting typedefs being dragged in by gst and Qt. This might be a
      bug in mesa - if the headers are supposed to be includable simultaneously.
      See FDO #105328 for that.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Mar 2018 13:12:02 +0000

gst-plugins-base1.0 (1.13.91-1) experimental; urgency=medium

  * debian/control.in:
    + Add recommends from libgstreamer-gl1.0-0 to gstreamer1.0-gl
      (Closes: #892128).
  * debian/*.symbols:
    + Add Build-Depends-Package header to each library section.
  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 10:53:15 +0200

gst-plugins-base1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 04 Mar 2018 10:57:44 +0200

gst-plugins-base1.0 (1.13.1-1ubuntu1) bionic; urgency=medium

  * debian/rules: Build for GLES only on arm. We build OpenGL support, which
    conflicts with Qt's OpenGL support - used in gst-good - if built for a
    different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
    to conflicting typedefs being dragged in by gst and Qt. This might be a
    bug in mesa - if the headers are supposed to be includable simultaneously.
    See FDO #105328 for that.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 Mar 2018 16:24:37 +0000

gst-plugins-base1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/build-deps.in,
    debian/control.in:
    + Build-depend on libgl1-mesa-dev, libegl1-mesa-dev, libgles2-mesa-dev,
      libgraphene-1.0-dev, libpng-dev, libjpeg-dev and add new binary packages
      for the OpenGL library, its headers and the OpenGL plugin.
  * debian/control.in,
    debian/gstreamer-plugins-base.install:
    + Conflict with gstreamer1.0-plugins-bad for the moved audiomixer plugin,
      the OpenGL library and its plugin.
  * debian/gstreamer-plugins-base.install:
    + Ship the libgstpbutils plugin.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 17 Feb 2018 18:16:46 +0200

gst-plugins-base1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:32:53 +0200
