## gst-plugins-base1.0 1.14.1

=== debian/changelog ===
gst-plugins-base1.0 (1.14.1-1ubuntu1~ubuntu18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: heap overflow in RTSP parser
    - debian/patches/CVE-2019-9928.patch: limit length in
      gst-libs/gst/rtsp/gstrtspconnection.c.
    - CVE-2019-9928

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Apr 2019 09:42:49 -0400

gst-plugins-base1.0 (1.14.1-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 23 May 2018 13:59:01 +0100

gst-plugins-base1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian (LP: #1772898). Remaining change:
    + debian/rules: Build for GLES only on arm. We build OpenGL support, which
      conflicts with Qt's OpenGL support - used in gst-good - if built for a
      different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
      to conflicting typedefs being dragged in by gst and Qt. This might be a
      bug in mesa - if the headers are supposed to be includable simultaneously.
      See FDO #105328 for that.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 23 May 2018 10:43:33 +0100

gst-plugins-base1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:13:40 +0300
